org.apache.hadoop.yarn.api.records

## Class ResourceRequest.ResourceRequestComparator

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.ResourceRequest.ResourceRequestComparator

- All Implemented Interfaces:
    Serializable, Comparator<ResourceRequest>
  Enclosing class:
    ResourceRequest

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public static class ResourceRequest.ResourceRequestComparator
      extends Object
      implements Comparator<ResourceRequest>, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceRequestComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(ResourceRequest r1, ResourceRequest r2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### ResourceRequestComparator

          public ResourceRequestComparator()

  - ### Method Detail

    - #### compare

          public int compare(ResourceRequest r1,
                             ResourceRequest r2)

      Specified by:
        `compare` in interface `Comparator<ResourceRequest>`

Copyright © 2022 Apache Software Foundation. All rights reserved.